/***************************************************************************
 *   Copyright (C) 2007-2015 by Helge Kortendieck                          *
 *   alan@kasmithee.de                                                     *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.         *
 ***************************************************************************/

#ifndef _SETTINGS_H_
#define _SETTINGS_H_

#include <QCheckBox>
#include <QDialog>
#include <QFont>
#include <QPoint>
#include <QSettings>
#include <QSize>
#include <QWidget>

#include "ui_settings.h"


class setDlg : public QDialog
{
	Q_OBJECT

public:
	setDlg(QDialog* parent = 0, Qt::WindowFlags fl = 0);
		~setDlg();

private:
	bool bsD;				// shall main program re-read it settings, any changes?

	QPoint pos;				// dialog position, top left corner

	QSize size;				// dialog size

	Ui::Settings uis;		// settings widget

	QDialog wSetDlg;		// settings widget

private slots:
	void setRead();			// read settings
	void setWrite();		// write settings
	void setWriteCancel();	// write settings, widget pos and size
	void dlgEnableSave();	// enable save button
	void dlgClose();		// close dialog
	void dlgSave();			// save settings

	signals:
		void sigReReadSet(bool);	// signal main program to re-read settings, bool whether re-read settings
};

#endif
